org.eclipse.net4j.util.security

## Class PasswordCredentialsUpdate

- java.lang.Object
- - org.eclipse.net4j.util.security.Credentials
  - - org.eclipse.net4j.util.security.PasswordCredentials
    - - org.eclipse.net4j.util.security.PasswordCredentialsUpdate

- All Implemented Interfaces:
    ICredentials, IPasswordCredentials, IPasswordCredentialsUpdate, IUserAware

      public class PasswordCredentialsUpdate
      extends PasswordCredentials
      implements IPasswordCredentialsUpdate

  Default implementation of the `IPasswordCredentialsUpdate` interface.
  Since:
    3.4
  Author:
    Christian W. Damus (CEA LIST)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PasswordCredentialsUpdate(String userID)`
    `PasswordCredentialsUpdate(String userID, char[] oldPassword, char[] newPassword)`
    `PasswordCredentialsUpdate(String userID, String password, String newPassword)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `char[]` | `getNewPassword()` Queries the new password to be set for the user.
    `void` | `setNewPassword(char[] newPassword)`

    - ### Methods inherited from class org.eclipse.net4j.util.security.PasswordCredentials

      `getPassword, setPassword`

    - ### Methods inherited from class org.eclipse.net4j.util.security.Credentials

      `getUserID`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.net4j.util.security.IPasswordCredentials

      `getPassword`

    - ### Methods inherited from interface org.eclipse.net4j.util.security.IUserAware

      `getUserID`

- - ### Constructor Detail

    - #### PasswordCredentialsUpdate

          public PasswordCredentialsUpdate(String userID,
                                           char[] oldPassword,
                                           char[] newPassword)

    - #### PasswordCredentialsUpdate

          public PasswordCredentialsUpdate(String userID,
                                           String password,
                                           String newPassword)

    - #### PasswordCredentialsUpdate

          public PasswordCredentialsUpdate(String userID)

  - ### Method Detail

    - #### getNewPassword

          public char[] getNewPassword()

      Description copied from interface: `IPasswordCredentialsUpdate`
      Queries the new password to be set for the user. It is the responsibility of the provider of an update to verify that this is actually the new password intended by the user.
      Specified by:
        `getNewPassword` in interface `IPasswordCredentialsUpdate`

    - #### setNewPassword

          public void setNewPassword(char[] newPassword)

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html